# -*-coding:utf-8 -*- #
# ---------------------------------------------------------------------------
# ProjectName:   pythonProject
# FileName:      conftest.py
# Author:       xxxxxxx
# Datetime:     2023/8/5 17:04
# Description:
# 
# ---------------------------------------------------------------------------
import pytest

from interface_bpm.comprehensive_request.request_method import Request
from interface_bpm.data_extraction.db_sql import DB


@pytest.fixture(scope="session")
def req_fix():
    req = Request()
    yield req


@pytest.fixture(scope="session")
def db_fix():
    db = DB()
    yield db


def pytest_collection_modifyitems(items):
    for item in items:
        item.name = item.name.encode("utf-8").decode("unicode-escape")
        item._nodeid = item._nodeid.encode("utf-8").decode("unicode-escape")